Bug 212997 - upgrade FC5 to FC6 openldap-server failed
upgrade FC5 to FC6 openldap-server failed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-30 10:06 EST by Brian Millett
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-28 04:41:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Millett 2006-10-30 10:06:50 EST
Description of problem:

upgrading FC5 to FC6 with the DVD failed to upgrade/update the openldap-server
package
Version-Release number of selected component (if applicable):


How reproducible: Well, just once.  Don't want to upgrade every time to test.


Steps to Reproduce:
1. Run FC5
2. Boot FC6 dvd
3. read /root/upgrade.log
  
Actual results:

Upgrading openldap-servers - 2.3.27-4.i386
=> bdb_tool_entry_put: id2entry_add failed: DB_KEYEXIST: Key/data pair already
exists (-30996)
=> bdb_tool_entry_put: txn_aborted! DB_KEYEXIST: Key/data pair already exists
(-30996)
slapadd: could not add entry dn="listName=momillett.org" (line=12): txn_aborted!
DB_KEYEXIST: Key/data pair already exists (-30996)

Expected results:

To have worked

Additional info:
Comment 1 Brian Millett 2006-10-30 10:35:36 EST
Some additional notes.  I do not, nor ever used nss_ldap.  It was loaded.  I
removed it and ran this from the postinstall script:

/sbin/runuser -m -s /usr/sbin/slapadd -- "ldap" -l /var/lib/ldap/upgrade.ldif

And it loaded and the address book is back.
Don't know why it wanted to load/install a nss_ldap module that was not
installed in the first place.
Comment 2 Jan Safranek 2007-05-28 04:41:53 EDT
I do not know why nss_ldap was installed, but I am pretty sure it did not cause
your problems. The rpm update scripts in recend openldap releases were quite
buggy and it could happen that the upgrade.ldif was not correctly applied.
Recent rawhide version should be much better.

Note You need to log in before you can comment on or make changes to this bug.